<?php
/**
 *
 * @package luzuk Premium
 */
if(get_theme_mod('blog_section_disable') != 'on' ){ ?>
	<?php 
 	if( get_theme_mod('blog_areaTpadding',true) ) {
 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
 	}
 	if( get_theme_mod('blog_areaBpadding',true) ) {
 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
 	}
 	
 	?>
<div  class="blog-area" id="blog" style="<?php echo esc_attr($blog_areaTpadding); ?>" "<?php echo esc_attr($blog_areaBpadding); ?>" >	
	<?php			
		$blog_title = get_theme_mod('blog_title', 'BLOG & NEWS');
		$blogsubtitle = get_theme_mod('blogsubtitle', 'Read Our Beauty Tips & Hacks');
	?>
		<div class="container">
			<div class="row justify-content-center">
					<div class="section-title">
							<?php if($blog_title){ ?>	
									<div class="heading-brd"></div>
									<h2><?php echo ($blog_title);  ?></h2>
							<?php }?>
							<?php if( $blogsubtitle){ ?>
                  <p class="section-text">
                      <?php echo ($blogsubtitle);  ?>
                  </p>
              <?php } ?>
					</div>
			</div>
			<div class="blog-area-wrap">
				<div class="blog-posts">
					<div class="row">
						<?php 
							$blog_post_count = get_theme_mod('blog_post_count', 3 );
							$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
							$blog_cat_exclude = explode(',', $blog_cat_exclude);
							$args = array(
								'posts_per_page' => absint($blog_post_count),
								'category__not_in' => $blog_cat_exclude
							);
							$query = new WP_Query($args);
							if($query -> have_posts()):
								while($query -> have_posts()) : $query -> the_post();
								$luzuk_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
								?>
								<?php 
								if(has_post_thumbnail()){
									$img = esc_url($luzuk_blog_image[0]);
								}
								if(empty($luzuk_blog_image)){
									$img = get_template_directory_uri().'/images/blog.jpg';
								}
						?>
						<div class="blog-post col-lg-4 col-md-6 col-sm-6">
							<div class="box-area-S wow zoomIn">
								<div class="blog-thumbnail">
									<div class="blog-imgarea">
											<div class="blog-image">
												<a href="<?php the_permalink(); ?>">
													<img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
													<div class="blog-ovly"></div>
												</a>
											</div>
											<div class="blog-date">
													<?php echo get_the_date( 'j M' ); ?>
											</div>
											<div class="blog-admin">
													<?php echo get_the_author(); ?>
											</div>
									</div>
								</div>		
								<div class="blog-single">
										<a href="<?php the_permalink(); ?>">
											<h4 class="inner-area-title"><?php the_title(); ?></h4>
										</a>
										<p>
											<?php 
													if(has_excerpt()){
														echo get_the_excerpt();
													}else{
														echo luzuk_excerpt( get_the_content() , 150 );
													}
											?>
										</p>
										<?php
			                  $blog_button1 = get_theme_mod('blog_button1', 'Read More');
			             	?>
						        <?php if($blog_button1) { ?>
											<div class="blogbtn"> 
                        <a href="<?php echo esc_url(get_permalink()); ?>">
                        	<?php echo $blog_button1 ?><i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                        </a>
                    	</div> 
	                 <?php }?>
									<div class="clearfix"></div>
								</div>
								<div class="clearfix"></div>
							</div>
						</div>
					<?php
						endwhile;
						endif;
						wp_reset_postdata();
					?>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>	
	</div>
	<div class="clearfix"></div>
</div>

<!-- <script>
      jQuery.noConflict();
      $(function(){
        function blogpostHeight(){
          var ht = 0;
          $('.blog-area .blog-post').each(function(i){
            var tHt = $(this).height();
            if(ht<tHt){
              ht=tHt;
            }
          });
          $('.blog-area .blog-post').height(ht+'px');
        }
        blogpostHeight();
      });
      $( window ).resize(function(){
        blogpostHeight();
      });
</script> -->
<script type="text/javascript">
	var title = 0;
jQuery(".blog-area .blog-post").each(function(){
  if ($(this).height() > title) { title = $(this).height(); }
});
jQuery(".blog-area .blog-post").height(title);


// on Resize change height

jQuery(window).resize(function(){
  jQuery(".blog-area .blog-post").height("");
  var title = 0;
  jQuery(".blog-area .blog-post").each(function(){
    if ($(this).height() > title) { title = $(this).height(); }
  });
  jQuery(".blog-area .blog-post").height(title);
});
</script>
	


<?php }